WSNotification::Elements::RenewResponse(3)

NAME
WSNotification::Elements::RenewResponse

DESCRIPTION
Perl data type class for the XML Schema defined element RenewResponse from the namespace http://docs.oasis-open.org/wsn/b-2.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   TerminationTime

     $element->set_TerminationTime($data);
     $element->get_TerminationTime();

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

•   CurrentTime

     $element->set_CurrentTime($data);
     $element->get_CurrentTime();

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

METHODS

  new
 my $element = WSNotification::Elements::RenewResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   TerminationTime =>  $some_value, # dateTime
   CurrentTime =>  $some_value, # dateTime
 },

AUTHOR
Generated by SOAP::WSDL